Subject: RE: bug#15122: 24.3.50; [PATCH] byte-compiler warnings about destructive functions

From: Drew Adams <[email-masked]>
Date: Tue, 20 Aug 2013 07:07:36 -0700 (PDT)

> > might not be aware of when they might be doing so.  I mentioned Scheme's
> > explicit choice to name all such functions in a noticeable way.  Drawing
> > attention to (all) use of destructive operations is not necessarily a
> > useless thing, depending on the user and context.
> 
> Yes, I like Scheme's convention.

Then consider adding (subtle, optional) font-lock highlighting of such.
That would anyway be better than compiler warnings.  The list of fns
I came up with is a start.  You might even consider putting a recognizable
property on the function symbols, as well.